import 'zone.js/dist/zone';

import {enableProdMode} from "@angular/core";
import {platformBrowserDynamic} from '@angular/platform-browser-dynamic';
import {bootstrapMfeApp} from './mfe-app-tools';
// @ts-ignore
import {MfeWebbpmModuleNgFactory} from "./modules/mfe/mfe-webbpm.module.ngfactory";

window['dev_mode'] = false;
enableProdMode();

const mount = bootstrapMfeApp(() => {
  return platformBrowserDynamic()
      .bootstrapModuleFactory(MfeWebbpmModuleNgFactory)
      .catch((err) => console.error(err));
}).mount;

export {mount};
